Bug 866559 - grub2: some modules should just be built-in on power
grub2: some modules should just be built-in on power
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
ppc64 All
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:50 EDT by IBM Bug Proxy
Modified: 2012-10-30 19:38 EDT (History)
8 users (show)

See Also:
Fixed In Version: grub2-2.00-10.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 19:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Implements the built-in modules solution. (9.98 KB, text/plain)
2012-10-15 17:29 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 83710 None None None 2012-10-15 11:50:53 EDT

  None (edit)
Description IBM Bug Proxy 2012-10-15 11:50:52 EDT
== Comment: #0 - NISHANTH ARAVAMUDAN <aravam@us.ibm.com> - 2012-07-26 19:28:44 ==
grub2 has a very modular design, which is very useful to keep the bootloader fast and small. However, size is less of a concern for power. And not having certain features guaranteed to be present (due to issues with the bootloader configuration) is a real concern in the field. This applies to both the rescue and regular grub modes.

The modules I recommend we build in are:
  msdos partitioning, ext* FS, LVM and reboot.

== Comment: #4 - NISHANTH ARAVAMUDAN <aravam@us.ibm.com> - 2012-09-18 18:30:36 ==
Sorry, I thought the right people had already been added to Cc (it's not me :) but they hadn't. Fixed now, and I'll let them decide if we should mirror, etc.

-Nish

== Comment: #6 - Gustavo Luiz Duarte <gusld@br.ibm.com> - 2012-10-10 16:25:04 ==
Adding more modules to be built-in to the grub core ELF is easy. It is a parameter passed by grub2-install to grub2-mkimage. However, there is a downside on adding many modules to the core ELF: they are fully initialized in the grub's first stage. It means you could hit a bug on a module you don't need and end up with a non-bootable system.
Another downside is that you wouldn't get updates for these built-in modules, as updating the grub2 package only updates the modules residing in /boot and not the grub core ELF in the PReP partition.

A proper solution would be to add to grub the ability of having built-in *inactive* modules which would be loaded and initialized only on demand (i.e. explicitly calling the insmod command).
Comment 1 IBM Bug Proxy 2012-10-15 17:29:59 EDT
Created attachment 627710 [details]
Implements the built-in modules solution.


------- Comment (attachment only) From pfsmorigo@br.ibm.com 2012-10-15 21:19 EDT-------
Comment 2 Fedora Update System 2012-10-18 14:07:30 EDT
grub2-2.00-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/grub2-2.00-10.fc18
Comment 3 Fedora Update System 2012-10-19 11:41:40 EDT
Package grub2-2.00-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-2.00-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16471/grub2-2.00-10.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-10-22 15:53:55 EDT
grub2-2.00-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/grub2-2.00-11.fc18
Comment 5 Gustavo Luiz Duarte 2012-10-30 19:38:46 EDT
grub2-2.00-10.fc18 works great!

Note You need to log in before you can comment on or make changes to this bug.